RedBoot User's Guide
Prev |  | Next

# fs umount

## Name

fs umount -- Unmount filesystem

## Synopsis

fs umount {`mountpoint`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`mountpoint` | String | Mountpoint of filesystem to unmount. |

## Description

This command removes a filesystem from being accessible using the filesystem commands. The single argument needs to be the mountpoint that was used when mounting the filesystem. This command will fail if the current directory is currently within the filesystem to be unmounted.

## Examples

Unmount a JFF2 partititon:

    RedBoot> fs info
    Filesystems available:
    ramfs
    jffs2

    Devices available:
    /dev/flash1

    Mounted filesystems:
             Device Filesystem Mounted on
        <undefined>      ramfs /
        /dev/flash1      jffs2 /flash
    RedBoot> fs umount /flash
    RedBoot> fs info
    Filesystems available:
    ramfs
    jffs2

    Devices available:
    /dev/flash1

    Mounted filesystems:
             Device Filesystem Mounted on
        <undefined>      ramfs /
    RedBoot>

Prev | Home | Next
fs mount | Up | fs cd